
%ifarch %{ix86}
%define deb_file %{name}_%{version}_i386.deb
%else
%define deb_file %{name}_%{version}_amd64.deb
%endif

Summary: Google Play Music Desktop Player
Name: google-play-music-desktop-player
Version: 3.3.0
Release: %mkrel 1
License: GPL
Group: Sound
URL: http://www.googleplaymusicdesktopplayer.com/
Source1: google-play-music-desktop-player.desktop
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root
BuildRequires: binutils xz tar

%description
Run Google Play Music as a stand alone Desktop app.
Never again will you have to hunt through your tabs
to pause your music, or stop listening to your favourite
song because Chrome is guzzling up all your RAM..


%prep
%setup -T -n %{name} -c

%build


%install
export DONT_STRIP=1
rm -rf %buildroot
mkdir %buildroot


cd $RPM_SOURCE_DIR
wget -nc https://github.com/MarshallOfSound/Google-Play-Music-Desktop-Player-UNOFFICIAL-/releases/download/v%{version}/%{deb_file}

# extract data from the deb package
mkdir  -p %buildroot/usr
ar p $RPM_SOURCE_DIR/%{deb_file} data.tar.xz | xz -d -9 | tar x -C %buildroot

#custom desktop file
install -m 0644 %SOURCE1 $RPM_BUILD_ROOT%{_datadir}/applications/google-play-music-desktop-player.desktop


%clean
rm -rf %buildroot


%files
%defattr(-,root,root)
%{_bindir}/*
%{_datadir}


%changelog
* Thu Dec 01 2016 adrianomorselli <adrianomorselli> 3.3.3-1uplos2016
- rebuild

* Thu Jul 14 2016 bb <bb> 3.3.3-1pclos2016
- update

* Fri Apr 08 2016 bb <bb> 3.1.0-1pclos2016
- update

* Sun Mar 13 2016 bb <bb> 3.0.1-1pclos2016
- update

* Wed Mar 09 2016 bb <bb> 3.0.0-2pclos2016
- update start up desktop file

* Sun Mar 06 2016 bb <bb> 3.0.0-1pclos2016
- create rpm from deb file
